Subject: bug#35176: closed (Re: [bug#35176] [PATCH 0/5] 'guix gc --delete-generations' and '--list-roots')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Apr 2019 15:20:02 +0000

Your bug report

#35176: [PATCH 0/5] 'guix gc --delete-generations' and '--list-roots'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35176: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35176
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#35176] [PATCH 0/5] 'guix gc --delete-generations' and '--list-roots'
From: Ludovic Courtès <[email-masked]>
To: Björn Höfling <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Apr 2019 17:19:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Björn Höfling <[email-masked]> skribis:

> On Tue, 09 Apr 2019 22:02:07 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> Hi Björn,
>> 
>> > Second, how big is the chance I could accidentally delete (all)
>> > older generations of my profiles?  
>> 
>> It’s unlikely because if you do “guix gc -d /gnu/store/…”, it still
>> behaves like before.
>> 
>> Does it address your concern?
>
> OK, convinced. Thanks for clarifying.

Cool, I’ve just pushed the patch series.

I noticed that the compatibility trick for ‘-d’ would ignore its
argument (thus it wouldn’t delete anything at all), so I’ve fixed that.

Thank you!

Ludo’.

Subject: [PATCH 0/5] 'guix gc --delete-generations' and '--list-roots'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Sat, 6 Apr 2019 23:26:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

This patch series is mostly about making it easier to free space:
‘guix gc --delete-generations’ deletes old generations of all the
user’s profiles prior to collecting garbage.

For consistency, ‘--delete-generations’ is aliased with ‘-d’, so
‘-d’ is repurposed (until now it was an alias for ‘--delete’).

Thoughts?

Ludo’.

Ludovic Courtès (5):
  Add (guix store roots).
  guix gc: Add '--list-roots'.
  profiles: Add 'generation-profile'.
  guix gc: Add '--delete-generations'.
  scripts: GC hint suggests 'guix gc -d 1m'.

 Makefile.am           |   6 ++-
 doc/guix.texi         |  22 +++++++-
 guix/profiles.scm     |  15 ++++++
 guix/scripts.scm      |  10 ++--
 guix/scripts/gc.scm   |  66 +++++++++++++++++++++--
 guix/store/roots.scm  | 120 ++++++++++++++++++++++++++++++++++++++++++
 tests/guix-gc.sh      |   6 ++-
 tests/store-roots.scm |  53 +++++++++++++++++++
 8 files changed, 282 insertions(+), 16 deletions(-)
 create mode 100644 guix/store/roots.scm
 create mode 100644 tests/store-roots.scm

-- 
2.21.0